БЛОГ


КАК УСТАНОВИТЬ ПАТЧ 10415 НА MAGENTO БЕЗ ИСПОЛЬЗОВАНИЯ SSH

В данном материале будет показан способ альтернативного обновления Magento , статья переводная.

Для популярного движка электронной коммерции Magento 28 сентября 2017 года был выпущен патч 10415 SUPEE 1.9.3.7 для решения нескольких критических проблем безопасности, таких как удаленное выполнение произвольного кода, межсайтовый скриптинг и так далее.

До сих пор не все владельцы ресурсов  обновили свои сайты, основная причина – использование SSL для установки обновлений, что и является основным препятствием для обновления.

Компания Magecomp предлагает альтернативный способ наложения патчей и рекомендует как можно скорее установить их, чтобы защитить Magento от возможных угроз безопасности.

Ознакомьтесь перед обновлением

Если вы ранее применяли пакет исправлений SUPEE-10266 (выпущенный 14 сентября 2017 г.) для применения новой версии SUPEE-10415,то можно просто загрузить SUPEE-10415 файлы поверх существующих.

Процесс установки:

Будет рассмотрено два варианта обновления.
Следуйте этой инструкции, чтобы установить патч.
Не забудьте сделать резервные копии!

Способ 1:

Загрузите архив с патчами в корень в корень сайта, где установлен сайт с Magento.
Создайте  файл с именем patch.php , со следующим содержимым

<?php
    print("<PRE>");
    passthru("/bin/bash SUPEE-10415.sh");
    print("</PRE>");
    echo "Done";
?>

Загрузите созданный файл в ту же директорию что и архив с патчем, откройте в браузере  site.ru/patch.php,  где site.ru нужно заменить на имя своего сайта.
Если вы получите сообщие об ошибке - “Error! Some required system tools, that are utilized in this sh script, are not installed, означает что либо не установлены предыдущие патчи, либо на сервере не разрешен запуск скриптов sh.

Способ 2:

Загрузить по FTP файлы из архива, поверх существующих с заменой. Ниже приведен список патчей для различных версий MagentoMagento version

 

SUPEE-10415

Magento 1.9.3.6

SUPEE_10415_Magento_1.9.3.6

Magento 1.9.3.4

SUPEE_10415_Magento_1.9.3.4

Magento 1.9.3.3

SUPEE_10415_Magento_1.9.3.3

Magento 1.9.3.2

SUPEE_10415_Magento_1.9.3.2

Magento 1.9.3.1

SUPEE_10415_Magento_1.9.3.1

Magento 1.9.3.0

SUPEE_10415_Magento_1.9.3.0

Magento 1.9.2.4

SUPEE_10415_Magento_1.9.2.4

Настоятельно  рекомендуется перейти на версию Magento 1.9.3.7, которая включает все исправления безопасности, включая SUPEE 10415.

Также полный архив патчей можно загрузить с GitHub